﻿@{
    ViewData["Title"] = "Учёба";
    Layout = "_EducationLayout";
    var data = new Data();
}

@model site_for_romanchik.Models.CourseworkResponse
@using site_for_romanchik.Models

<style>
    table {
        margin: 20px;
    }

    th {
        font-style: bold;
    }

    td {
        text-align: center;
    }

    p {
        font-size: 16px;
    }
</style>

<form asp-action="Index" method="post">
    <div style="color: darkred" asp-validation-summary="All"></div>
    <div class="form-group">
        <label asp-for="StudentName">ФИО:</label>
        <input asp-for="StudentName" />
    </div>
    <div class="form-group">
        <label asp-for="CourseworkName">Тема курсовой:</label>
        <input asp-for="CourseworkName" />
    </div>
    <div class="form-group">
        <label asp-for="MentorName">Преподаватель:</label>
        <input asp-for="MentorName" />
    </div>
    <button type="submit" class="btn btn-primary">Предложить курсовую</button>
</form>

<table align="center" cellspacing="5" border="2" cellpadding="10">
    <tr>
        <th>Преподаватель</th>
        <th>Статус</th>
        <th>Название</th>
        <th>Студент</th>
    </tr>
    @foreach (var coursework in data.CreateCourseworksList())
    {
        <tr>
            <td>@coursework.MentorName</td>
            <td>@coursework.CourseworkStatus</td>
            <td>@coursework.CourseworkName</td>
            @if (coursework.CourseworkStatus != "Untaken")
            {
                <td>@coursework.StudentName</td>
            }
            else
            {
                <td>
                    <form asp-action="Take" method="post">
                        <div style="color: darkred" asp-validation-summary="All"></div>
                        <div class="form-group">
                            <label asp-for="StudentName">ФИО:</label>
                            <input asp-for="StudentName" />
                            <input hidden asp-for="MentorName" value="@coursework.MentorName" />
                            <input hidden asp-for="CourseworkName" value="@coursework.CourseworkName" />
                            <input hidden asp-for="IsTaken" value="1" />
                        </div>
                        <button type="submit" class="btn btn-primary">Взять курсовую</button>
                    </form>
                </td>
            }
        </tr>
    }
</table>
